List of all members
clan::ElementArrayBuffer Class Reference
clanDisplay Display

Element Array Buffer. More...

`#include <element_array_buffer.h>`

Inheritance diagram for clan::ElementArrayBuffer:

## Public Member Functions
Construction
| ElementArrayBuffer ()
| Constructs a null instance. More...
| ElementArrayBuffer (GraphicContext &gc, int size, BufferUsage usage=usage_static_draw)
| Constructs a ElementArrayBuffer. More...
| ElementArrayBuffer (GraphicContext &gc, const void *data, int size, BufferUsage usage=usage_static_draw)
| Constructs a ElementArrayBuffer. More...
virtual | ~ElementArrayBuffer ()
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
ElementArrayBufferProvider * | get_provider () const
| Get Provider. More...
Operations
bool | operator== (const ElementArrayBuffer &other) const
| Handle comparison operator. More...
void | upload_data (GraphicContext &gc, const void *data, int size)
| Uploads data to element array buffer. More...
void | copy_from (GraphicContext &gc, TransferBuffer &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data from transfer buffer. More...
void | copy_to (GraphicContext &gc, TransferBuffer &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data to transfer buffer. More...

## Detailed Description

Element Array Buffer.

The documentation for this class was generated from the following file:

- element_array_buffer.h